/************************************************************************
 *
 *    Copyright (c) 1991 Microsoft Corporation.  All Rights Reserved.
 *
 *-----------------------------------------------------------------------
 *
 *     Project:  Windows Terminal Example
 *
 *      Module:  destroy.c
 *
 *      Author:  Bryan A. Woodruff (baw)
 *
 *
 *     Remarks:  Destroy terminal information block
 *
 *   Revisions:  
 *     01.00.000  5/ 9/91 baw   Wrote it
 *
 ************************************************************************/

#include "terminal.h"

/************************************************************************
 *  BOOL DestroyTerminal( LOCALHANDLE hTermInfo )
 *
 *  Description:
 *     Destroys block associated with hTermInfo handle.
 *
 *  Comments:
 *      5/ 8/91  baw  Wrote it
 *
 ************************************************************************/

BOOL DestroyTerminal( HWND hWnd )
{
   HDC          hDC ;
   LOCALHANDLE  hTermInfo ;
   NPTERMINFO   npTermInfo ;

   hTermInfo = GetWindowWord( hWnd, GWW_TERMINFO ) ;
   if (NULL == (npTermInfo = (NPTERMINFO) LocalLock( hTermInfo )))
      return ( FALSE ) ;

   if (npTermInfo -> fConnected)
      CloseConnection( hWnd ) ;

   hDC = GetDC( hWnd ) ;
   SelectObject( hDC, npTermInfo -> hDefaultFont ) ;
   DeleteObject( npTermInfo -> hFont ) ;
   ReleaseDC( hWnd, hDC ) ;

   LocalUnlock( hTermInfo ) ;
   LocalFree( hTermInfo ) ;

   return ( TRUE ) ;

} /* end of DestroyTerminal() */

/************************************************************************
 * End of File: destroy.c
 ************************************************************************/

